## hubzero-submit-distributor 3.8.1-1+deb7

=== Makefile ===
# @package      hubzero-submit-distributor
# @file         Makefile
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

ETC=$(DESTDIR)/etc
VARLOG=$(DESTDIR)/var/log
OPTSUBMIT=$(DESTDIR)/opt/submit

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

BATCHSCHEDULERS = boinc condor ll lsf pbs script sge slurm
BATCHSCRIPTS = cleanupjob.sh killbatchjob.sh movepegtmp2home.sh postprocessjob.sh \
               receiveinput.sh stdtocondor.sh submitbatchjob.sh submitfromcondor.sh \
               transmitresults.sh \
               abortBatch.py createBatch.py fetchBatchOutput.py retireBatch.py \
               submitBatchJob.py submitBatchJobs.py uploadFile.py uploadFiles.py
DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
DISTRIBUTORCONFIGS = hubmail.cfg
DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py harvester.py
DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
                      managers monitors sites tapissites tools toolfiles tunnels
PEGASUSTEMPLATEDIRECTORY = pegasusTemplates.d
PEGASUSLOCALVERSIONS = 4.8.0 4.8.1 4.9.2 5.0.0 5.0.1
PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml sites_local.yml

HUBHOSTNAME:=$(shell hostname --fqdn)

all:
	@true

install:
	# create-optsubmit
	install --mode 0755 -d $(OPTSUBMIT)
	# install-distributor-dft: 
	for dftFile in $(DISTRIBUTORDFTFILES) ; do \
		install --mode 0644 -D $${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dft ; \
	done
	[ -f $(ETC)/submit/distributor.conf ] || \
		install --mode 0644 -D distributor.conf_dft $(ETC)/submit/distributor.conf
	[ -f $(ETC)/submit/infos.conf ] || \
		install --mode 0644 -D infos.conf_dft $(ETC)/submit/infos.conf
	[ -f $(ETC)/submit/daemons.conf ] || \
		install --mode 0644 -D daemons.conf_dft $(ETC)/submit/daemons.conf
	# install-distributor-scripts
	install --mode 2750 -d $(OPTSUBMIT)/Scripts
	for batchScheduler in $(BATCHSCHEDULERS) ; do \
		install --mode 2750 -d $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
		for batchScript in $(BATCHSCRIPTS) ; do \
			if [ -f Scripts/$${batchScheduler}/$${batchScript} ] ; then \
				install --mode 0755 -D Scripts/$${batchScheduler}/$${batchScript} $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
			fi \
		done \
	done
	cp -rp Scripts/tapis2 $(OPTSUBMIT)/Scripts
	find $(OPTSUBMIT)/Scripts/tapis2 -type d -exec chmod 2750 {} \;
	cp -rp Scripts/tapis3 $(OPTSUBMIT)/Scripts
	find $(OPTSUBMIT)/Scripts/tapis3 -type d -exec chmod 2750 {} \;
	# install-distributor-submissionscripts
	cp -r SubmissionScripts $(OPTSUBMIT)
	find $(OPTSUBMIT)/SubmissionScripts -type f -exec chmod 0644 {} \;
	find $(OPTSUBMIT)/SubmissionScripts -type d -exec chmod 2755 {} \;
	# install-distributor-bin
	install --mode 2751 -d $(OPTSUBMIT)/bin
	for distributorScript in $(DISTRIBUTORSCRIPTS) ; do \
		install --mode 0755 -D bin/$${distributorScript} $(OPTSUBMIT)/bin/$${distributorScript}; \
	done
	for distributorConfig in $(DISTRIBUTORCONFIGS) ; do \
		install --mode 0644 -D bin/$${distributorConfig} $(OPTSUBMIT)/bin/$${distributorConfig}; \
	done
	# install-distributor-mains
	for distributorMain in $(DISTRIBUTORMAINS) ; do \
		install --mode 0755 -D $${distributorMain} $(OPTSUBMIT)/$${distributorMain}; \
	done
	(cd $(OPTSUBMIT); ln --force --symbolic distributor.py distributor)
	# install-distributor-keys
	install --mode 0751 -d $(OPTSUBMIT)/.ssh
	# install-distributor-condor-scripts:
	install --mode 2751 -d $(OPTSUBMIT)/bin
	for batchScript in $(BATCHSCRIPTS) ; do \
		if [ -f Scripts/condor/$${batchScript} ] ; then \
			install --mode 0755 -D Scripts/condor/$${batchScript} $(OPTSUBMIT)/bin/$${batchScript}; \
			sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" \
				--in-place $(OPTSUBMIT)/bin/$${batchScript}; \
		fi \
	done
	# install-distributor-logs
	install --mode 0775 -d $(VARLOG)/submit
	install --mode 0755 -d $(VARLOG)/submit/distributor
	# install-pegasus-local: 
	install --mode 0755 -d $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)
	for pegasusLocalVersion in $(PEGASUSLOCALVERSIONS) ; do \
		install --mode 0755 -d $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion} ; \
		for pegasusLocalConfig in $(PEGASUSLOCALCONFIGS) ; do \
			if [ -f $(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} ] ; then \
				install --mode 0644 -D $(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} $(OPTSUBMIT)/$(PEGASUSTEMPLATEDIRECTORY)/pegasus-$${pegasusLocalVersion}/$${pegasusLocalConfig} ; \
			fi \
		done \
	done
	# add sudoers file
	install --mode 0440 -D submit-distributor.sudoers $(ETC)/sudoers.d/submit-distributor
	python2 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
	python3 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)

uninstall:
	@true

postinst:
	# install-user-gridman
	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
	adduser --quiet gridman tunneler || true
	# install-distrubtor-dat
	for dftFile in $(DISTRIBUTORDFTFILES) ; do \
		[ -e $(OPTSUBMIT)/$${dftFile}.dat ] || install --mode 0644 -D $(OPTSUBMIT)/$${dftFile}.dft $(OPTSUBMIT)/$${dftFile}.dat; \
	done
	sed -e "s/@HUBHOSTNAME@/$(HUBHOSTNAME)/" --in-place $(OPTSUBMIT)/monitors.dat
	if [ -f /etc/submit/daemons.conf ] ; then sed -e "s/@HOSTNAME@/$(HUBHOSTNAME)/" --in-place /etc/submit/daemons.conf; fi
	# install-distributor-bin
	$(OPTSUBMIT)/bin/update-known-hosts $(HUBHOSTNAME)
	# install-distributor-keys
	if [ -f ${OPTSUBMIT}/.ssh/submit_rsa ] ; then \
            echo "submit RSA key already exists in ${OPTSUBMIT}/.ssh/submit_rsa"; \
        else \
            printf "y\n\n" | ssh-keygen -q -t rsa -f ${OPTSUBMIT}/.ssh/submit_rsa -N '' -C "submit@$(HUBHOSTNAME)"; \
        fi
	chown gridman $(OPTSUBMIT)/.ssh/submit_rsa $(OPTSUBMIT)/.ssh/submit_rsa.pub
	rm -f $(OPTSUBMIT)/etc/submit_rsa
	install -o gridman -g gridman --mode 0700 -d /var/gridman/.ssh
	cat $(OPTSUBMIT)/.ssh/submit_rsa.pub >> /var/gridman/.ssh/authorized_keys
	chown gridman:gridman /var/gridman/.ssh/authorized_keys
	chmod 0600 /var/gridman/.ssh/authorized_keys
	chown gridman:apps $(ETC)/submit/distributor.conf

	touch emptyFile
	[ -f $(VARLOG)/submit/distributor/distributor.log ] || \
		install --mode 0640 -D emptyFile $(VARLOG)/submit/distributor/distributor.log
	rm -f emptyFile

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-submit-distributor (3.8.1-1+deb7) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Added new site key, value parameter
     - Standardize writes to stdout/stderr with failure reported to log file.
     - Add TapisV3
     - Reduced job status polling frequency for redundant non-batch submission.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jan 2025 07:24:48 -0700

hubzero-submit-distributor (3.7.4-1) unstable; urgency=low

     - Give hubmail configuration options for message and subject sizes

 -- Steven Clark <smclark@ucsd.edu>  Tue, 14 Jan 2025 10:14:03 -0800

hubzero-submit-distributor (3.7.3-1) unstable; urgency=low

     - Update to version 3.7.3
     - Added option to specify host key type

 -- Steven Clark <smclark@ucsd.edu>  Fri, 14 Jun 2024 08:10:23 -0700

hubzero-submit-distributor (3.7.2-1) unstable; urgency=low

     - Update to version 3.7.2
    Added environment variable setting at site level
    Moved DAX3.py from distributor to common
    Add default tapissite configuration file
    streamlined download reTry, move downloadJObOutputs reeTry up one level - restart the Tapis interaction of any file download fails.
    Change for submit 3.6 data transmission including input files 

 -- Steven Clark <smclark@ucsd.edu>  Wed, 20 Dec 2023 06:57:15 -0800

## hubzero-submit-distributor 3.8.1-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.8.1-1+deb10) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Added new site key, value parameter
     - Standardize writes to stdout/stderr with failure reported to log file.
     - Add TapisV3
     - Reduced job status polling frequency for redundant non-batch submission.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jan 2025 07:24:48 -0700

## hubzero-submit-distributor 3.8.2-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.8.2-1+deb7) unstable; urgency=low

     - Catch up on default configuration files
     - Added configuration file consistency checker program
     - Added missing job wrapper scripts for slurm and fork execution
     - Fixed quoting issues
     - Updated instructions based on production use case
     - Corrections made for production installation

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:53:21 -0400

hubzero-submit-distributor (3.8.1-1) unstable; urgency=low

     - Fix Pegasus version setting for venue status command.
     - Added new site key, value parameter
     - Standardize writes to stdout/stderr with failure reported to log file.
     - Add TapisV3
     - Reduced job status polling frequency for redundant non-batch submission.
     - Fix reporting of exit status for redundant jobs
     - Report job exit status as the exit status for distributor
       and record result in joblog
     - Cleanup job related scripts upon job termination
     - Treat aborted jobs as complete during job monitoring
     - Promote timePath to site configuration variable.
       timePath is the location of the time command used to measure CPU usage
     - Use bash builtin time command if timePath does not point to a existing executable
     - Update read config files across the board to read dictionary
       values in JSON format
     - Preemptive change to strings containing deprecated backslash characters.
       In Python 3.12 the DeprecationWarning is upgraded to a SyntaxWarning.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 26 Jan 2025 07:24:48 -0700

## hubzero-submit-distributor 3.8.2-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.8.2-1+deb10) unstable; urgency=low

     - Catch up on default configuration files
     - Added configuration file consistency checker program
     - Added missing job wrapper scripts for slurm and fork execution
     - Fixed quoting issues
     - Updated instructions based on production use case
     - Corrections made for production installation

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:53:21 -0400

## hubzero-submit-distributor 3.8.2-1+deb12

=== Makefile ===
--- 
+++ 
@@ -29,12 +29,17 @@
 ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
 OPTSUBMIT=$(DESTDIR)/opt/submit
+PYTHON2=python2
+PYTHON3=python3
 
 DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
 il=--install-layout=deb
+ifeq ($(shell expr $(MAJORVERSION) \> 11),1)
+PYTHON2=/usr/bin/true
+endif
 endif
 
 BATCHSCHEDULERS = boinc condor ll lsf pbs script sge slurm
@@ -45,9 +50,11 @@
                submitBatchJob.py submitBatchJobs.py uploadFile.py uploadFiles.py
 DISTRIBUTORSCRIPTS = update-known-hosts hubmail.py
 DISTRIBUTORCONFIGS = hubmail.cfg
-DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py jobKill.py jobStatus.py venueProbeR.py harvester.py
-DISTRIBUTORDFTFILES = aggregators appaccess environmentwhitelist identities \
-                      managers monitors sites tapissites tools toolfiles tunnels
+DISTRIBUTORMAINS = distributor.py executeRemoteBatch.py harvester.py \
+                   jobKill.py jobStatus.py venueProbeR.py \
+                   consistencyCheck.py
+DISTRIBUTORDFTFILES = aggregators appaccess dockerimages environmentwhitelist filemovers identities \
+                      managers monitors sites tapis2sites tapis3sites tools toolfiles tunnels
 PEGASUSTEMPLATEDIRECTORY = pegasusTemplates.d
 PEGASUSLOCALVERSIONS = 4.8.0 4.8.1 4.9.2 5.0.0 5.0.1
 PEGASUSLOCALCONFIGS = pegasus_local.rc sites_local.xml sites_local.yml
@@ -127,8 +134,8 @@
 	done
 	# add sudoers file
 	install --mode 0440 -D submit-distributor.sudoers $(ETC)/sudoers.d/submit-distributor
-	python2 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
-	python3 setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
+	$(PYTHON2) setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
+	$(PYTHON3) setup.py install $(COMPILE) --root $(DESTDIR)  $(il)
 
 uninstall:
 	@true

=== debian/changelog ===
hubzero-submit-distributor (3.8.2-1+deb12) unstable; urgency=low

     - Catch up on default configuration files
     - Added configuration file consistency checker program
     - Added missing job wrapper scripts for slurm and fork execution
     - Fixed quoting issues
     - Updated instructions based on production use case
     - Corrections made for production installation

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:53:21 -0400

=== debian/control ===
Source: hubzero-submit-distributor
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)     
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-distributor
Architecture: all
Depends: hubzero-use, hubzero-use-apps, bind9-host, openssh-client, sudo, adduser, python (>=2.6), ${misc:Depends}
Recommends: hubzero-submit-monitors, hubzero-submit-server
Description: HUBzero submit distributor
 HUBzero job submission distributor

## hubzero-submit-distributor 3.9.1-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.9.1-1+deb7) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Report template file when patttern substitution fails
     - Cleanup code for printing TAPIS summaries.
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Added --qos argument to TAPIS/SLURM template.
     - Fixed TAPIS notification endpoint specification.
     - Fixed job script cleanup for TAPIS submission.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:05:12 -0400

hubzero-submit-distributor (3.8.2-1) unstable; urgency=low

     - Catch up on default configuration files
     - Added configuration file consistency checker program
     - Added missing job wrapper scripts for slurm and fork execution
     - Fixed quoting issues
     - Updated instructions based on production use case
     - Corrections made for production installation

 -- Steven Clark <clarksm@purdue.edu>  Thu, 30 Oct 2025 13:53:21 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)     
+Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support   
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-distributor 3.9.1-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.9.1-1+deb10) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Report template file when patttern substitution fails
     - Cleanup code for printing TAPIS summaries.
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Added --qos argument to TAPIS/SLURM template.
     - Fixed TAPIS notification endpoint specification.
     - Fixed job script cleanup for TAPIS submission.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:05:12 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0)  , python-all,python-support   
+Build-Depends: debhelper (>= 8.0.0)     , dh-python
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-distributor 3.9.1-1+deb12

=== debian/changelog ===
hubzero-submit-distributor (3.9.1-1+deb12) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Report template file when patttern substitution fails
     - Cleanup code for printing TAPIS summaries.
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Added --qos argument to TAPIS/SLURM template.
     - Fixed TAPIS notification endpoint specification.
     - Fixed job script cleanup for TAPIS submission.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:05:12 -0400

## hubzero-submit-distributor 3.10.1-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.10.1-1+deb7) unstable; urgency=low

     - probeLaucher moved to hubzero-submit-probe repository
     - Moving user probe code to new repository
     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.
     - Add probe launch top level daemon program.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:59:44 -0400

hubzero-submit-distributor (3.9.1-1) unstable; urgency=low

     - Moved JobOutput.py from common to distributor
     - Report template file when patttern substitution fails
     - Cleanup code for printing TAPIS summaries.
     - Added --json and --save json arguments.  The JSON files contain
       submit command line arguments.
     - Added --show argument.  Resolved command is echoed to stdout.
     - Added --nGpus and --gpn arguments for specifying GPU resource
       requirements.
     - Added --memory argument for specifying memory resource requirement.
     - Added --qos argument to TAPIS/SLURM template.
     - Fixed TAPIS notification endpoint specification.
     - Fixed job script cleanup for TAPIS submission.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:05:12 -0400

## hubzero-submit-distributor 3.10.1-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.10.1-1+deb10) unstable; urgency=low

     - probeLaucher moved to hubzero-submit-probe repository
     - Moving user probe code to new repository
     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.
     - Add probe launch top level daemon program.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:59:44 -0400

## hubzero-submit-distributor 3.10.1-1+deb12

=== debian/changelog ===
hubzero-submit-distributor (3.10.1-1+deb12) unstable; urgency=low

     - probeLaucher moved to hubzero-submit-probe repository
     - Moving user probe code to new repository
     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.
     - Add probe launch top level daemon program.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:59:44 -0400

## hubzero-submit-distributor 3.11.1-1+deb7

=== debian/changelog ===
hubzero-submit-distributor (3.11.1-1+deb7) unstable; urgency=low

    Break wait between job status checks into smaller intervals to check for abort signal
    Relax permissions on Scripts to allow visibility for non root users
    Run all daemon logging through rsyslog
    Change from polling to notification alerts for updaing WS job status

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 12:53:01 -0400

hubzero-submit-distributor (3.10.1-1) unstable; urgency=low

     - probeLaucher moved to hubzero-submit-probe repository
     - Moving user probe code to new repository
     - Moved IdentitiesManager.py from distributor to monitors
     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.
     - Add probe launch top level daemon program.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:59:44 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-distributor
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-distributor COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	if [ -f /usr/bin/python2 ]; then dh_python2 -i; fi
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-distributor 3.11.1-1+deb10

=== debian/changelog ===
hubzero-submit-distributor (3.11.1-1+deb10) unstable; urgency=low

    Break wait between job status checks into smaller intervals to check for abort signal
    Relax permissions on Scripts to allow visibility for non root users
    Run all daemon logging through rsyslog
    Change from polling to notification alerts for updaing WS job status

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 12:53:01 -0400

## hubzero-submit-distributor 3.11.1-1+deb12

=== Makefile ===
--- 
+++ 
@@ -78,9 +78,9 @@
 	[ -f $(ETC)/submit/daemons.conf ] || \
 		install --mode 0644 -D daemons.conf_dft $(ETC)/submit/daemons.conf
 	# install-distributor-scripts
-	install --mode 2750 -d $(OPTSUBMIT)/Scripts
+	install --mode 2751 -d $(OPTSUBMIT)/Scripts
 	for batchScheduler in $(BATCHSCHEDULERS) ; do \
-		install --mode 2750 -d $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
+		install --mode 2751 -d $(OPTSUBMIT)/Scripts/$${batchScheduler}; \
 		for batchScript in $(BATCHSCRIPTS) ; do \
 			if [ -f Scripts/$${batchScheduler}/$${batchScript} ] ; then \
 				install --mode 0755 -D Scripts/$${batchScheduler}/$${batchScript} $(OPTSUBMIT)/Scripts/$${batchScheduler}; \

=== debian/changelog ===
hubzero-submit-distributor (3.11.1-1+deb12) unstable; urgency=low

    Break wait between job status checks into smaller intervals to check for abort signal
    Relax permissions on Scripts to allow visibility for non root users
    Run all daemon logging through rsyslog
    Change from polling to notification alerts for updaing WS job status

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 12:53:01 -0400
